BackportBase (Apache Tomcat 11.0.23 API Documentation)
Description: declaration: package: org.apache.tomcat.buildutil.translate, class: BackportBase

# Class BackportBase

java.lang.Object
org.apache.tomcat.buildutil.translate.BackportBase

Direct Known Subclasses:
  `BackportEnglish, BackportTranslations`

public abstract class BackportBase extends Object
Base class providing common implementation for back-port utilities.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final Properties`
  `sourceEnglish`
  English source properties.
  `protected final Map<String, Properties>`
  `sourceTranslations`
  Map of source translation properties, keyed by locale.
  `protected final File`
  `storageDir`
  Directory for storing exported translation files.
  `protected final Properties`
  `targetEnglish`
  English target properties.
  `protected final File`
  `targetRoot`
  Root directory of the target project.
  `protected final Map<String, Properties>`
  `targetTranslations`
  Map of target translation properties, keyed by locale.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BackportBase(String... args)`
  Constructs a BackportBase instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected abstract void`
  `execute()`
  Executes the back-port operation.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### sourceTranslations

    protected final Map<String, Properties> sourceTranslations
    Map of source translation properties, keyed by locale.

  - ### targetTranslations

    protected final Map<String, Properties> targetTranslations
    Map of target translation properties, keyed by locale.

  - ### targetRoot

    protected final File targetRoot
    Root directory of the target project.

  - ### sourceEnglish

    protected final Properties sourceEnglish
    English source properties.

  - ### targetEnglish

    protected final Properties targetEnglish
    English target properties.

  - ### storageDir

    protected final File storageDir
    Directory for storing exported translation files.

- ## Constructor Details

  - ### BackportBase

    protected BackportBase(String... args) throws IOException
    Constructs a BackportBase instance.
    Parameters:
      `args` - array with a single element: the target directory path
    Throws:
      `IOException` - if an I/O error occurs while reading translation files

- ## Method Details

  - ### execute

    protected abstract void execute() throws IOException
    Executes the back-port operation.
    Throws:
      `IOException` - if an I/O error occurs